Regenerate License Code
curl --request POST \
--url https://api.agentpowers.ai/v1/purchases/{slug}/regenerate-code \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/purchases/{slug}/regenerate-code"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/purchases/{slug}/regenerate-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"purchase_id": "<string>",
"status": "<string>",
"skill_slug": "<string>",
"license_code": "<string>",
"purchased_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}purchases
Regenerate License Code
Regenerate license code for a purchased skill.
POST
/
v1
/
purchases
/
{slug}
/
regenerate-code
Regenerate License Code
curl --request POST \
--url https://api.agentpowers.ai/v1/purchases/{slug}/regenerate-code \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/purchases/{slug}/regenerate-code"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/purchases/{slug}/regenerate-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"purchase_id": "<string>",
"status": "<string>",
"skill_slug": "<string>",
"license_code": "<string>",
"purchased_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Path Parameters
Was this page helpful?